All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class NameNotUniqueImportException

    com.sas.services.deployment.NameNotUniqueImportException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public final class NameNotUniqueImportException

Exception indicating that an attempt was made to import a foundation services deployment with a non-unique name.

Since:
  9.2
See Also:
  Serialized Form

Constructor Summary
`NameNotUniqueImportException(java.lang.String[] serviceDeploymentNames)` Constructs an exception in response to a failure to import a foundation services deployment into a SAS Metadata Repository because the name specified in the file is already defined in the repository.

Method Summary
`static java.lang.String` | `getMessage(java.lang.String[] serviceDeploymentNames)` Constructs a message to detail a failure to import specified foundation services deployment(s) into a SAS Metadata Repository.

Constructor Detail

### NameNotUniqueImportException

    public NameNotUniqueImportException(java.lang.String[] serviceDeploymentNames)

  Constructs an exception in response to a failure to import a foundation services deployment into a SAS Metadata Repository because the name specified in the file is already defined in the repository.

  Parameters:
    `serviceDeploymentNames` - Names of the service deployments which are not unique.

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String[] serviceDeploymentNames)

  Constructs a message to detail a failure to import specified foundation services deployment(s) into a SAS Metadata Repository. Foundation services deployment names must be uniquely named within a repository.

  Parameters:
    `serviceDeploymentNames` - Foundation service deployment name(s).
  Returns:
    Message detailing a failure to import foundation services.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.